/* APP RULES: SCREEN SIZES 1200px+ */
* {
  box-sizing: border-box;
}

body {
  margin: 0;
}

h1 {
  font-size: 56px;
  font-family: "Montserrat";
}

h2 {
  font-size: 48px;
  font-family: "Montserrat";
}

h3 {
  font-size: 36px;
  font-family: "Montserrat";
}

h4 {
  font-size: 24px;
  font-family: "Montserrat";
}

h5 {
  font-size: 21px;
  font-family: "Montserrat";
  font-weight: 600;
}

p {
  font-family: "Work Sans";
  font-size: 21px;
  line-height: 30px;
}

a {
  text-decoration: none;
}

.cta-button {
  border: 2px solid black;
  border-radius: 8px;
  padding: 0.5em 1em;
  box-shadow: -4px 4px 4px rgba(0, 0, 0, 0.5);
  font-weight: bold;
  font-size: 21px;
  font-weight: 500;
  cursor: pointer;
}

/* GALLERY */
.service-gallery {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #637f6f;
  color: white;
  padding: 5% 0;
}

.service-gallery h2, .service-gallery a {
  width: 75%;
  text-align: center;
}

.service-gallery h2 {
  color: white;
}

.service-gallery a {
  color: white;
  font-size: 2em;
  font-family: "Work Sans";
  font-weight: 300;
}

.service-gallery a:hover {
  color: #ff7000;
}

/* FAQ */
.faq {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.faq-heading {
  width: 75%;
  text-align: center;
  margin-top: 5%;
}

.faq-title {
  color: #ff7000;
}

.faq-content {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: flex-start;
  justify-content: center;
  width: 75%;
  margin: 3% 0;
}

.qa-set {
  display: flex;
  justify-content: space-around;
  width: 40%;
  margin: 2em;
}

.faq-icon {
  height: 50px;
  width: 50px;
  margin: 0 2em;
}

.faq-question {
  margin: 0;
}

.faq-caption {
  font-style: italic;
  font-weight: 300;
  margin-bottom: 3em;
}

/* HERO SECTION */
#home-hero {
  display: flex;
  align-items: center;
  padding: 5% 0 0 0;
  justify-content: space-evenly;
  color: #005b45;
}

#home-hero-heading {
  width: 45%;
}

#home-hero-heading p {
  margin: 5rem 0;
}

.hero-buttons {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.hero-buttons cta-button, .hero-buttons a {
  width: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.alt-cta {
  background-color: white;
  color: #005b45;
}

.alt-cta:hover {
  background-color: #ff7000;
  color: white;
}

.cta-button:hover {
  background-color: #637f6f;
  color: white;
  transform: scale(1.2);
}

#hero-img {
  width: 20%;
  background-size: cover;
  border-radius: 50%;
  box-shadow: 4px 4px 4px black;
}

/* POPULAR SERVICES */
#home-services {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: white;
  width: 100%;
}

.so-heading {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 55%;
  text-align: center;
  margin: 3% 0;
}

.so-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.so-body {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 75%;
}

.so-list-cntr {
  width: 50%;
}

.so-list-cntr h3 {
  color: #005850;
}

.so-list {
  list-style: none;
  display: flex;
  flex-direction: column;
}

.so-li {
  background-color: white;
  border-radius: 0 10px 10px 0;
  margin: 2% 0;
  padding: 3%;
  display: flex;
  align-items: center;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.5);
}

.so-li:hover {
  transform: scale(1.1);
  box-shadow: 0 4px 4px black;
  background-color: #637f6f49;
}

.so-li h5 {
  margin: 0;
  color: #ff7000;
}

.so-li h5:hover {
  margin: 0;
  color: #ff7000;
  cursor: pointer;
  text-decoration: underline;
}

.so-li p {
  margin: 4% 0 0 0;
}

.so-imgs {
  width: 40%;
}

.so-imgs div {
  display: none;
}

.so-imgs .active {
  display: flex;
  flex-direction: column;
}

.so-img {
  display: none;
  width: 100%;
  border-radius: 8px;
}

/* WHY US */
#home-wu {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.wu-text-content {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

.wu-text-heading {
  width: 40%;
}

.wu-text-heading h2 {
  color: #005b45;
}

.wu-img {
  width: 25%;
}

.wu-img img {
  width: 100%;
}

.wu-features {
  display: flex;
  justify-content: center;
  margin: 6% 0;
}

.wu-features ul {
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

.wu-feature-li {
  width: 25%;
  padding: 1% 2%;
  border-radius: 8px;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.5);
}

.wu-feature-li h5 {
  margin: 5% 0;
  color: #005b45;
}

.wu-feature-li p {
  margin: 0;
}

.wu-checkmark {
  max-width: 50px;
  height: auto;
}

/* BULLETS */
.h-b-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 500px;
}

.h-b-txt {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 40%;
}

.b-txt-left {
  margin-left: 10%;
}

.b-txt-right {
  margin-right: 10%;
}

.h-b-list ul {
  list-style: none;
}

.h-b-pt {
  display: flex;
  align-items: center;
}

.check-badge {
  width: 25px;
  height: 25px;
  margin-right: 1em;
}

.h-b-figure {
  width: 40%;
  margin: 0;
  display: flex;
  align-items: center;
  height: 100%;
}

#hb-figure1 {
  background-color: #ebe9e5;
}

#hb-figure2 {
  justify-content: flex-end;
  background-color: rgba(255, 112, 0, 0.3);
  border-radius: 0 8px 8px 0;
}

#hb-figure3 {
  background-color: #637f6f;
}

#hb-figure1,
#hb-figure3 {
  border-radius: 8px 0 0 8px;
}

.h-b-figure div {
  height: 80%;
  width: 80%;
  position: relative;
  display: flex;
  align-items: center;
}

.h-b-img {
  position: absolute;
  width: 100%;
  border-radius: 8px;
  object-fit: cover;
  object-position: center;
  border: 2px solid black;
  height: 90%;
}

.h-b-img-left {
  left: -7%;
  box-shadow: 4px 4px 0 black;
}

.h-b-img-right {
  right: -7%;
  box-shadow: -4px 4px 0 black;
}

/* HIGHLIGHTS */
#home-highlights {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2% 0;
}

.badges {
  display: flex;
  justify-content: space-evenly;
  width: 75%;
  margin: 4% 0;
}

.bdg-container {
  background-color: #204c5b;
  color: white;
  width: 300px;
  padding: 1em;
  text-align: center;
  border: 2px solid black;
  border-radius: 15px;
  box-shadow: 0 4px 0 rgb(0, 0, 0);
}

.bdg-icon-cntr {
  background-color: white;
  border-radius: 15px;
  height: 125px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.bdg-icon-cntr img {
  height: 90px;
  width: 90px;
}

.bdg-txt h4 {
  font-weight: 500;
}

.bdg-txt p {
  font-weight: 300;
}

#bdg2 {
  margin: 0 5em;
  background-color: #007d93;
}

#bdg3 {
  background-color: #005850;
}

/* CTA */
#home-cta {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 2%;
  align-items: center;
  text-align: center;
}

#home-cta cta-button {
  margin: 2% 0;
}

@media only screen and (max-width: 1440px) {
  .hero-buttons {
    justify-content: space-between;
  }
}

/* EXTRA LARGE SCREEN 1200px */
@media only screen and (max-width: 1200px) {
  h1 {
    font-size: 50px;
  }

  h2 {
    font-size: 38px;
  }

  h3 {
    font-size: 26px;
  }

  h4 {
    font-size: 23px;
  }

  h5 {
    font-size: 21px;
  }

  p {
    font-size: 20px;
  }

  /* HERO */
  #home-hero div {
    display: flex;
    flex-direction: column;
  }

  .hero-buttons {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .hero-buttons cta-button {
    margin-bottom: 5%;
  }

  #hero-img {
    width: 30%;
  }

  /* POPULAR SRVC */
  .so-li div {
    margin: 2% 5%;
  }

  /* WHY US */
  #home-wu {
    padding-top: 5%;
  }

  /* FEATURES */
  .wu-feature-li {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .wu-feature-li h5 {
    margin: 10% 0;
  }

  .wu-checkmark {
    width: 40px;
  }

  /* BENEFITS */
  .bdg-icon-cntr {
    height: min-content;
  }

  .bdg-icon-cntr img {
    width: 75px;
    height: 75px;
  }

  .qa-set {
    width: 75%;
  }
}

/* STANDARD DESKTOP 1024px */
@media only screen and (max-width: 1024px) {
  h1 {
    font-size: 48px;
  }

  h2 {
    font-size: 36px;
  }

  h3 {
    font-size: 24px;
  }

  h4 {
    font-size: 21px;
  }

  h5 {
    font-size: 18px;
    font-weight: 600;
  }

  p,
  li {
    font-size: 18px;
    line-height: 28px;
  }

  .cta-button {
    font-size: 18px;
  }

  /* HOME */
  #home-hero-heading p {
    margin: 8% 0;
  }

  #home-hero-heading cta-button, #home-hero-heading a {
    width: 75%;
  }

  /* WHY US */
  .wu-checkmark {
    height: 35px;
    width: 35px;
  }

  .wu-feature-li p {
    width: 80%;
  }

  /* BENEFITS */
  .badges {
    justify-content: center;
  }

  .bdg-icon-cntr img {
    width: 45px;
    height: 45px;
  }

  .faq h2 {
    text-align: center;
  }

  .faq > p {
    text-align: center;
  }

  .faq-content {
    flex-direction: column;
    align-items: center;
    margin: 2% 0;
  }

  .qa-set {
    width: 100%;
  }

  .faq-icon {
    height: 45px;
    width: 45px;
    margin-left: 0;
  }
}

/* TABLET 768px */
@media only screen and (max-width: 768px) {
  h1 {
    font-size: 36px;
  }

  h2 {
    font-size: 24px;
  }

  h3 {
    font-size: 21px;
  }

  h4 {
    font-size: 18px;
  }

  h5 {
    font-size: 16px;
    font-weight: 600;
  }

  p,
  li {
    font-size: 16px;
    line-height: 26px;
  }

  .cta-button {
    font-size: 16px;
  }

  /* HERO */
  #home-hero {
    padding: 10% 0;
  }

  .hero-buttons {
    margin-top: 10%;
  }

  /* POP SRVCS */
  .so-body {
    justify-content: center;
  }

  .so-list-cntr {
    width: 100%;
  }

  .so-list {
    padding: 0;
  }

  .so-li {
    margin: 5% 0;
  }

  .so-imgs {
    display: none;
  }

  .service-gallery a {
    font-size: 1em;
  }

  /* FEATURES */
  .wu-features ul {
    padding: 0;
  }
  .wu-feature-li {
    height: 100%;
  }

  .wu-feature-li p {
    display: none;
  }

  .wu-checkmark {
    height: 30px;
    width: 30px;
  }

  /* BENEFITS */
  .home-benefit {
    margin: 10% 0;
  }
  .h-b-content {
    height: 250px;
    justify-content: center;
  }

  .h-b-txt {
    width: 90%;
  }

  .b-txt-left {
    margin: 0;
  }

  .b-txt-right {
    margin: 0;
  }

  .h-b-list {
    text-align: center;
  }

  .h-b-list ul {
    display: flex;
    justify-content: space-between;
    padding: 0;
  }

  .check-badge {
    height: 20px;
    margin: 0;
  }

  .h-b-pt {
    flex-direction: column;
    text-align: center;
    width: 30%;
    padding: 5% 5% 0 5%;
    border-radius: 10px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.5);
  }

  .h-b-figure {
    display: none;
  }

  /* HIGHLIGHTS */
  .badges {
    flex-direction: column;
    align-items: center;
  }

  .bdg-container {
    margin: 5% 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 50%;
  }

  .bdg-icon-cntr {
    width: min-content;
    padding: 3%;
  }

  .qa-set {
    margin: 1em;
  }

  .faq-icon {
    height: 35px;
    width: 35px;
  }

  .faq-caption {
    text-align: center;
    width: 75%;
  }

  #home-cta {
    padding-bottom: 10%;
  }

  .backbtn,
  .nextbtn {
    font-size: 2em;
  }
}

/* PHONE PORTRAIT AND LANDSCAPE 480px */
@media only screen and (max-width: 480px) {
  h1 {
    font-size: 24px;
  }

  h2 {
    font-size: 21px;
  }

  h3 {
    font-size: 18px;
  }

  h4 {
    font-size: 16px;
  }

  h5 {
    font-size: 14px;
    font-weight: 600;
  }

  p,
  li {
    font-size: 14px;
    line-height: 24px;
  }

  .cta-button {
    font-size: 14px;
  }

  /* HOME */
  #home-hero {
    flex-direction: column;
    background-image: url(/images/home/licensed_home_img1.jpg);
    background-position: center;
    background-size: cover;
  }

  #home-hero-heading {
    text-align: center;
    margin: 10% 0;
    width: 75%;
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    padding: 0 5% 10% 5%;
  }

  #home-hero img {
    display: none;
  }

  .hero-buttons {
    margin-top: 10%;
  }

  .hero-buttons cta-button, .hero-buttons a {
    width: 100%;
  }

  .so-list-cntr {
    text-align: center;
  }

  .wu-text-heading {
    width: 80%;
    text-align: center;
  }

  .wu-features {
    margin: 0 0 5% 0;
  }

  .wu-features ul {
    flex-direction: column;
  }

  .wu-feature-li {
    width: 75%;
    padding: 3%;
    margin: 10% 0;
  }

  .wu-img {
    display: none;
  }

  #home-highlights {
    padding: 0;
  }

  .home-benefit {
    display: none;
  }

  .badges {
    margin: 0;
  }

  .bdg-container {
    width: 75%;
  }

  .faq-title {
    text-align: center;
  }

  .faq > p {
    display: none;
  }

  .qa-set {
    margin: 5% 0;
  }

  .faq-icon {
    margin-right: 5%;
    height: 25px;
    width: 25px;
  }

  #home-cta p {
    width: 75%;
    margin-bottom: 5%;
  }

  .gallery-section,
  .gallery-wrap {
    display: none;
  }
}

/* EXTRA SMALL DEVICES 320px */
@media only screen and (max-width: 320px) {
  h1 {
    font-size: 24px;
  }

  h2 {
    font-size: 21px;
  }

  h3 {
    font-size: 18px;
  }

  h4 {
    font-size: 16px;
  }

  h5 {
    font-size: 14px;
    font-weight: 600;
  }

  p {
    font-size: 14px;
    line-height: 24px;
  }

  .cta-button {
    font-size: 14px;
  }
}
